Package org.h2.security.auth

# Class RealmConfig

java.lang.Object
org.h2.security.auth.RealmConfig

All Implemented Interfaces:
  `HasConfigProperties`

public class RealmConfig extends Object implements HasConfigProperties
Configuration for authentication realm.

## Constructor Summary

Constructors
Constructor
Description
`RealmConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Gets realm's name.
`List<PropertyConfig>`
`getProperties()`
`String`
`getValidatorClass()`
Gets validator class name.
`void`
`setName(String name)`
Sets realm's name.
`void`
`setValidatorClass(String validatorClass)`
Sets validator class name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RealmConfig

public RealmConfig()

## Method Details

### getName

public String getName()
Gets realm's name.

Returns:
  realm's name.

### setName

public void setName(String name)
Sets realm's name.

Parameters:
  `name` - realm's name.

### getValidatorClass

public String getValidatorClass()
Gets validator class name.

Returns:
  validator class name.

### setValidatorClass

public void setValidatorClass(String validatorClass)
Sets validator class name.

Parameters:
  `validatorClass` - validator class name.

### getProperties

public List<PropertyConfig> getProperties()

Specified by:
  `getProperties` in interface `HasConfigProperties`